<?php
/**
 * Createing an quality pannel for customizer
 */
// START quality SECTION 
    $wp_customize->add_section(
        'luzuk_quality_section',
        array(
            'title' => __( 'Quality Section', 'Luzuk Premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    // ENABLE/DISABLE quality SECTION
    $wp_customize->add_setting(
        'luzuk_quality_section_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'luzuk_quality_section_disable',
            array(
                'settings'      => 'luzuk_quality_section_disable',
                'section'       => 'luzuk_quality_section',
                'label'         => __( 'Disable Section', 'Luzuk Premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'Luzuk Premium' ),
                    'off' => __( 'No', 'Luzuk Premium' )
                ),
            )
        )
    );

      backgroundManager($wp_customize, 'quality', 'luzuk_quality_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png','img');

lzCustomLable($wp_customize, 'quality_padding', 'luzuk_quality_section', 'Set Section Padding:');

$wp_customize->add_setting(
    'qualityTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'qualityTpadding',
    array(
        'settings'      => 'qualityTpadding',
        'section'       => 'luzuk_quality_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'qualityBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'qualityBpadding',
    array(
        'settings'      => 'qualityBpadding',
        'section'       => 'luzuk_quality_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);



    $wp_customize->add_setting(
        'luzuk_quality_title_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_quality_title_heading',
            array(
                'settings'      => 'luzuk_quality_title_heading',
                'section'       => 'luzuk_quality_section',
                'label'         => __( 'Quality Box Setting', 'Luzuk Premium' ),
            )
        )
    );    
    $wp_customize->add_setting(
        'luzuk_quality_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '35 YEARS OF QUALITY SERVICE IN BUSINESS', 'Luzuk Premium' )
        )
    );
    $wp_customize->add_control(
        'luzuk_quality_title',
        array(
            'settings'      => 'luzuk_quality_title',
            'section'       => 'luzuk_quality_section',
            'type'          => 'textarea',
            'label'         => __( 'Title for Quality', 'Luzuk Premium' )
        )
    );
    
    $wp_customize->add_setting(
        'luzuk_quality_subText',
        array(
            'sanitize_callback'=>'luzuk_sanitize_text',
            'default'=> __('Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus eu pharetra ex. Etiam eget diam ligula. Sed at blandit ante. Vivamus feugiat, lacus eu suscipit mattis, tortor mi aliquam leo, quis laoreet ante sem sed sapien. Phasellus id convallis ligula.  ', 'Luzuk Premium')
        )
    );
    $wp_customize->add_control(
        'luzuk_quality_subText',
        array(
            'settings' =>'luzuk_quality_subText',
            'section' => 'luzuk_quality_section',
            'type'=> 'textarea',
            'label'=> __('Content For The Quality', 'Luzuk Premium')
        )
    );

    lzCustomLable($wp_customize, 'quality_color', 'luzuk_quality_section', 'Section Color Setting');

    // Heading color
    addColorPalatOption($wp_customize, 'luzuk_quality_HeadingColor', 'luzuk_quality_section', 'Quality Title Color', '#2b3f59');
  
     // Heading border color
    addColorPalatOption($wp_customize, 'luzuk_quality_borderColor', 'luzuk_quality_section', 'Quality Border Color', '#676767');


    // Text color
    addColorPalatOption($wp_customize, 'luzuk_quality_TextColor', 'luzuk_quality_section', 'Quality Text Color', '#4b4b4b');

    // END ABOUT SECTION 